XMSSMTParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.xmss

## Class XMSSMTParameters

- java.lang.Object
- - org.bouncycastle.pqc.crypto.xmss.XMSSMTParameters

-     public final class XMSSMTParameters
      extends java.lang.Object

  XMSS^MT Parameters.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMSSMTParameters(int height, int layers, ASN1ObjectIdentifier digestOID)` XMSSMT constructor...
    `XMSSMTParameters(int height, int layers, ASN1ObjectIdentifier digestOID, int n)` XMSSMT constructor with explicit security parameter n.
    `XMSSMTParameters(int height, int layers, Digest digest)` XMSSMT constructor...

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeight()` Getter height.
    `int` | `getLayers()` Getter layers.
    `protected int` | `getLen()`
    `protected XMSSOid` | `getOid()`
    `int` | `getParameterSetOID()` Return the RFC 8391 / SP 800-208 parameter-set identifier for this parameter set (the 4-octet value carried at the start of an RFC 9802 encoded key), or 0 if these parameters do not correspond to a standard set (for example a non-standard tree height).
    `protected java.lang.String` | `getTreeDigest()`
    `ASN1ObjectIdentifier` | `getTreeDigestOID()` Return the tree digest OID.
    `int` | `getTreeDigestSize()` Getter digest size.
    `protected org.bouncycastle.pqc.crypto.xmss.WOTSPlus` | `getWOTSPlus()`
    `protected XMSSParameters` | `getXMSSParameters()`
    `static XMSSMTParameters` | `lookupByOID(int oid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMSSMTParameters

          public XMSSMTParameters(int height,
                                  int layers,
                                  Digest digest)

      XMSSMT constructor...
      Parameters:
        `height` - Height of tree.
        `layers` - Amount of layers.
        `digest` - Digest to use.

    - #### XMSSMTParameters

          public XMSSMTParameters(int height,
                                  int layers,
                                  ASN1ObjectIdentifier digestOID)

      XMSSMT constructor...
      Parameters:
        `height` - Height of tree.
        `layers` - Amount of layers.
        `digestOID` - Object identifier of digest to use.

    - #### XMSSMTParameters

          public XMSSMTParameters(int height,
                                  int layers,
                                  ASN1ObjectIdentifier digestOID,
                                  int n)

      XMSSMT constructor with explicit security parameter n.
      Parameters:
        `height` - Height of tree.
        `layers` - Amount of layers.
        `digestOID` - Object identifier of digest to use.
        `n` - Security parameter (digest output size in bytes), or -1 to derive from digest.

  - ### Method Detail

    - #### getHeight

          public int getHeight()

      Getter height.
      Returns:
        XMSSMT height.

    - #### getLayers

          public int getLayers()

      Getter layers.
      Returns:
        XMSSMT layers.

    - #### getXMSSParameters

          protected XMSSParameters getXMSSParameters()

    - #### getWOTSPlus

          protected org.bouncycastle.pqc.crypto.xmss.WOTSPlus getWOTSPlus()

    - #### getTreeDigest

          protected java.lang.String getTreeDigest()

    - #### getTreeDigestSize

          public int getTreeDigestSize()

      Getter digest size.
      Returns:
        Digest size.

    - #### getTreeDigestOID

          public ASN1ObjectIdentifier getTreeDigestOID()

      Return the tree digest OID.
      Returns:
        OID for digest used to build the tree.

    - #### getParameterSetOID

          public int getParameterSetOID()

      Return the RFC 8391 / SP 800-208 parameter-set identifier for this parameter set (the 4-octet value carried at the start of an RFC 9802 encoded key), or 0 if these parameters do not correspond to a standard set (for example a non-standard tree height).
      Returns:
        the 4-octet parameter-set identifier, or 0 if none.

    - #### getLen

          protected int getLen()

    - #### getOid

          protected XMSSOid getOid()

    - #### lookupByOID

          public static XMSSMTParameters lookupByOID(int oid)